org.richfaces.validator

## Class SelectLabelValueValidator

- java.lang.Object
- - org.richfaces.validator.SelectLabelValueValidator

- All Implemented Interfaces:
    Serializable, EventListener, javax.faces.validator.Validator

      public class SelectLabelValueValidator
      extends Object
      implements javax.faces.validator.Validator, Serializable

  Validates that Select component has sent valid value
  Author:
    Lukas Fryc
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ID`

    - ### Fields inherited from interface javax.faces.validator.Validator

      `NOT_IN_RANGE_MESSAGE_ID`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SelectLabelValueValidator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `validate(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, Object valueAsObject)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ID

          public static final String ID

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SelectLabelValueValidator

          public SelectLabelValueValidator()

  - ### Method Detail

    - #### validate

          public void validate(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component,
                               Object valueAsObject)
                        throws javax.faces.validator.ValidatorException

      Specified by:
        `validate` in interface `javax.faces.validator.Validator`
      Throws:
        `javax.faces.validator.ValidatorException`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.